lkml.org 
[lkml]   [2006]   [Sep]   [6]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [BUG] no sound on ppc mac mini
At Tue, 05 Sep 2006 18:08:44 -0700,
john stultz wrote:
>
> On Wed, 2006-09-06 at 10:50 +1000, Benjamin Herrenschmidt wrote:
> > > However... ;)
> > >
> > > It seems the new device doesn't have any volume control. I know the old
> > > toonie driver used some form of softvol support, but "it just worked",
> > > where as now I have no control over my system's audio volume.
> >
> > It's a userland problem :) Your alsa config needs to enable the softvol
> > plugin for it.
>
> Yea. I figured. :( I've played around a bit w/ the .asoundrc file to
> re-enable softvol (A similar hack was needed originally after the toonie
> driver went in), but so far I've been unsuccessful.

I guess adding the following to /usr/share/alsa/cards/aliases.conf
(or equivalent path depending on your distro) should suffice:

AppleOnbdAudio cards.PMacToonie

> > > While not the most terrible of regressions, its a bit irritating (waking
> > > to loud mail notifications, specifically :). Is this something that I
> > > have to wait for an alsa userland update to fix, or is the new kernel
> > > driver just not fully functional yet?
> >
> > Part of the problem is that you can't anymore identify the type of codec
> > based on the card name thus Alsa old mecanism of having a specific
> > toonie config file that includes softvol doesn't work any more. The
> > trick was bad in the first place though because you can have multiple
> > different codecs anyway, so it didn't scale. (The old driver couldn't
> > deal with it, but the new one can, though we haven't yet implemented
> > support for any of the topaz digital codecs).
> >
> > I remember a discussion with the Alsa folks where it was question to
> > have Alsa userland automatically instanciate softvol if there is no
> > volume provided by the driver, which is a better approach.
> >
> > Takashi, was this ever implemented ? John, what is your Alsa userland
> > version ?
>
> 1.0.10-4ubuntu4

Could you try alsa-lib 1.0.12? Then you'll have more bonus, not only
the fixes for this softvol problem ;)


Takashi
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2006-09-06 14:17    [from the cache]
©2003-2011 Jasper Spaans